<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsiggen_1_1_options.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">siggen::Options Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classsiggen_1_1_options.html">siggen::Options</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a1bf946ed370154884b1a82076f1b8a4a">GetBlockSize</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a75e7b584ae17ee0010389232f1195b54">GetHashName</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a93b4e1f79b1751cd74e8069639709467">GetInputFileName</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a0d21253deaca59e2f6f15b5cac5c783a">GetLogLevel</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#aecd9d4cc9b7d8186f6e81de6d2eb3ffe">GetOutputFileName</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#ae80870de22ad6438c8b886ff70c75eff">GetOutputFileName</a>(std::string const &amp;name)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a753c4f80f87f9a512c197afae09731fb">GetThreadCount</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a261be4a780e4a23e133252e56281ddb1">GetThreadPolicy</a>() const</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#ab4f252a399a19ddfc05a35984859b15d">ParseCommandLine</a>(int argc, char *argv[])</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a29f02029bc74a0212fd506a99e0b36ef">SetBlockSize</a>(size_t size)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a064a446867e9329820973dbcf3fae9af">SetHashName</a>(std::string const &amp;name)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a2a83396bdb1535acb324b827d064ac6f">SetInputFileName</a>(std::string const &amp;name)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#ad716c1fe100084bd024029671caab830">SetLogLevel</a>(uint32_t level)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classsiggen_1_1_options.html#aa2797de5dce12cb7751c942504e51074">SetThreadCount</a>(uint32_t count)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsiggen_1_1_options.html#a80cdeac333c31612aa82608fcd1c7a41">SetThreadPolicy</a>(ThreadingPolicy policy)</td><td class="entry"><a class="el" href="classsiggen_1_1_options.html">siggen::Options</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
